Index: trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js
===================================================================
--- trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js	(revision 74)
@@ -2,8 +2,9 @@
 [
     [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#ad960e5a34f19d664b1b576eea826997f", null ],
+    [ "~SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8", null ],
     [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b", null ],
     [ "~SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8", null ],
-    [ "GetSpeeds", "classflair_1_1actuator_1_1_simu_bldc.html#ab8700a00398f461726a46c75739f809c", null ],
     [ "HasSpeedMeasurement", "classflair_1_1actuator_1_1_simu_bldc.html#a6d604089c8494c27f8382359327e7fb6", null ],
-    [ "HasCurrentMeasurement", "classflair_1_1actuator_1_1_simu_bldc.html#a3a97075384649f5a11fd70bf7749fbe1", null ]
+    [ "HasCurrentMeasurement", "classflair_1_1actuator_1_1_simu_bldc.html#a3a97075384649f5a11fd70bf7749fbe1", null ],
+    [ "GetSpeeds", "classflair_1_1actuator_1_1_simu_bldc.html#ab8700a00398f461726a46c75739f809c", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js	(revision 74)
@@ -11,4 +11,5 @@
     [ "ProcessUpdate", "classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc", null ],
     [ "SetIsReady", "classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412", null ],
+    [ "UpdateFrom", "classflair_1_1core_1_1_i_o_device.html#aead8f82fd3133168041c37cc471077d5", null ],
     [ "::IODevice_impl", "classflair_1_1core_1_1_i_o_device.html#a98e657a0de938e3819054ef6b02299c8", null ],
     [ "::Thread_impl", "classflair_1_1core_1_1_i_o_device.html#a8d4dacaaa8b2d282a4c38c48281387c7", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js	(revision 74)
@@ -1,5 +1,9 @@
 var classflair_1_1core_1_1_semaphore =
 [
-    [ "Semaphore", "classflair_1_1core_1_1_semaphore.html#a5db3e44d22d40dd29f6853394300d1df", null ],
+    [ "Type", "classflair_1_1core_1_1_semaphore.html#aaaafa990f24734853d8bb857f7b28dd2", [
+      [ "anonymous", "classflair_1_1core_1_1_semaphore.html#aaaafa990f24734853d8bb857f7b28dd2a294de3557d9d00b3d2d8a1e6aab028cf", null ],
+      [ "named", "classflair_1_1core_1_1_semaphore.html#aaaafa990f24734853d8bb857f7b28dd2a72b49a243cef20220b110e1a0ccbb93c", null ]
+    ] ],
+    [ "Semaphore", "classflair_1_1core_1_1_semaphore.html#a2e836aac7659086bcf7cefaa4f32ba8f", null ],
     [ "~Semaphore", "classflair_1_1core_1_1_semaphore.html#ae1a3001af72b853a3de39bd11f564790", null ],
     [ "TryGetSemaphore", "classflair_1_1core_1_1_semaphore.html#a4d7c9d659a42a4db62a56226b211cfc5", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1_tcp_socket.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_tcp_socket.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1core_1_1_tcp_socket.js	(revision 74)
@@ -4,8 +4,8 @@
     [ "~TcpSocket", "classflair_1_1core_1_1_tcp_socket.html#a7f4f7f873c00fdd73fcdd5c9a2f8dfcb", null ],
     [ "Listen", "classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d", null ],
-    [ "Accept", "classflair_1_1core_1_1_tcp_socket.html#a55d90b894a14900d2a84a7772124727d", null ],
-    [ "Connect", "classflair_1_1core_1_1_tcp_socket.html#ac87b68e327a73dada17b3d93dab7929c", null ],
-    [ "SendMessage", "classflair_1_1core_1_1_tcp_socket.html#aaca9be5ab271cef04af09219ff262f38", null ],
-    [ "RecvMessage", "classflair_1_1core_1_1_tcp_socket.html#ad7e7cf859d7cbe230a33f90c8c1bcfc2", null ],
+    [ "Accept", "classflair_1_1core_1_1_tcp_socket.html#af3ea9a03fb31fe36b604060e9386d617", null ],
+    [ "Connect", "classflair_1_1core_1_1_tcp_socket.html#aea4dd2ff49fc3e2ba8a3afcccedbc4af", null ],
+    [ "SendMessage", "classflair_1_1core_1_1_tcp_socket.html#a35141127ad1e1fd921f5ca91e2341674", null ],
+    [ "RecvMessage", "classflair_1_1core_1_1_tcp_socket.html#a843ce6bee190e7840ca5554654ed580d", null ],
     [ "NetworkToHost16", "classflair_1_1core_1_1_tcp_socket.html#a94921895eb0b474e967d611d78d630e2", null ],
     [ "HostToNetwork16", "classflair_1_1core_1_1_tcp_socket.html#a85ce14fc3ef83d4ddee6a80e79ade3e4", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1io__data.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1io__data.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1core_1_1io__data.js	(revision 74)
@@ -4,5 +4,8 @@
     [ "~io_data", "classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a", null ],
     [ "SetDataTime", "classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10", null ],
+    [ "SetDataTime", "classflair_1_1core_1_1io__data.html#aa51c08a0950cbe5ec5774446679ea43f", null ],
     [ "DataTime", "classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599", null ],
+    [ "DataDeltaTime", "classflair_1_1core_1_1io__data.html#aba2a52aae7efbcd769820cde4e1a38d9", null ],
+    [ "GetDataTime", "classflair_1_1core_1_1io__data.html#a02cd00111e4b93187b668de49cdec642", null ],
     [ "Prev", "classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47", null ],
     [ "GetDataType", "classflair_1_1core_1_1io__data.html#a355c0ba5812d0c5a60a07fcacc692d3e", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js	(revision 74)
@@ -2,6 +2,7 @@
 [
     [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#aa79f6ad054829916ac8404eb25e284e7", null ],
+    [ "~SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0", null ],
     [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#a6268c6637a325229c73ac49d7af7882e", null ],
     [ "~SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0", null ],
-    [ "shmem", "classflair_1_1sensor_1_1_simu_camera.html#a9a89781a160538e59f98615339187b8c", null ]
+    [ "shmem", "classflair_1_1sensor_1_1_simu_camera.html#a372e4bfd6e464c715c90507787243118", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js	(revision 74)
@@ -2,4 +2,5 @@
 [
     [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#ab44c7691b45759ee6529031d67b07c76", null ],
+    [ "~SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3", null ],
     [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a920cb6176e8af975256906778136be4b", null ],
     [ "~SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3", null ]
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js	(revision 74)
@@ -2,4 +2,5 @@
 [
     [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a021162094240f8debbd3cb6d45f3ac7a", null ],
+    [ "~SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf", null ],
     [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f", null ],
     [ "~SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf", null ]
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js	(revision 74)
@@ -2,6 +2,7 @@
 [
     [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#ac80c781316ba67ab43371095cc96b888", null ],
+    [ "~SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5", null ],
     [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a22315194992008f2c5b86dd50f63eaf5", null ],
     [ "~SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5", null ],
-    [ "shmem", "classflair_1_1sensor_1_1_simu_laser.html#aa9dc0c4f54d34746206067da31794b80", null ]
+    [ "shmem", "classflair_1_1sensor_1_1_simu_laser.html#a457114cf156a631a0cf9334fd050b098", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js	(revision 73)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js	(revision 74)
@@ -2,6 +2,7 @@
 [
     [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a58061ed933ca6d95f563886a8b9ff4d9", null ],
+    [ "~SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4", null ],
     [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a6809a978e76619c5bfff3aca092e49ed", null ],
     [ "~SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4", null ],
-    [ "shmem", "classflair_1_1sensor_1_1_simu_us.html#af86622810d283ac7710e70eddc30e3f1", null ]
+    [ "shmem", "classflair_1_1sensor_1_1_simu_us.html#a6c3994b195405e215d8ba54d66deb7a7", null ]
 ];
Index: trunk/doc/Flair/files.js
===================================================================
--- trunk/doc/Flair/files.js	(revision 73)
+++ trunk/doc/Flair/files.js	(revision 74)
@@ -244,23 +244,19 @@
       [ "SimuAhrs", "classflair_1_1filter_1_1_simu_ahrs.html", "classflair_1_1filter_1_1_simu_ahrs" ]
     ] ],
-    [ "SimuBldc.h", "_simu_bldc_8h.html", [
-      [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html", "classflair_1_1actuator_1_1_simu_bldc" ]
-    ] ],
-    [ "SimuCamera.h", "_simu_camera_8h.html", [
-      [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", "classflair_1_1sensor_1_1_simu_camera" ]
-    ] ],
+    [ "FlairSensorActuator/src/SimuBldc.h", "_flair_sensor_actuator_2src_2_simu_bldc_8h_source.html", null ],
+    [ "FlairSimulator/src/SimuBldc.h", "_flair_simulator_2src_2_simu_bldc_8h_source.html", null ],
+    [ "FlairSensorActuator/src/SimuCamera.h", "_flair_sensor_actuator_2src_2_simu_camera_8h_source.html", null ],
+    [ "FlairSimulator/src/SimuCamera.h", "_flair_simulator_2src_2_simu_camera_8h_source.html", null ],
     [ "SimuCameraGL.h", "_simu_camera_g_l_8h.html", "_simu_camera_g_l_8h" ],
-    [ "SimuGps.h", "_simu_gps_8h.html", [
-      [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html", "classflair_1_1sensor_1_1_simu_gps" ]
-    ] ],
-    [ "SimuImu.h", "_simu_imu_8h.html", [
-      [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html", "classflair_1_1sensor_1_1_simu_imu" ]
-    ] ],
-    [ "SimuLaser.h", "_simu_laser_8h_source.html", null ],
+    [ "FlairSensorActuator/src/SimuGps.h", "_flair_sensor_actuator_2src_2_simu_gps_8h_source.html", null ],
+    [ "FlairSimulator/src/SimuGps.h", "_flair_simulator_2src_2_simu_gps_8h_source.html", null ],
+    [ "FlairSensorActuator/src/SimuImu.h", "_flair_sensor_actuator_2src_2_simu_imu_8h_source.html", null ],
+    [ "FlairSimulator/src/SimuImu.h", "_flair_simulator_2src_2_simu_imu_8h_source.html", null ],
+    [ "FlairSensorActuator/src/SimuLaser.h", "_flair_sensor_actuator_2src_2_simu_laser_8h_source.html", null ],
+    [ "FlairSimulator/src/SimuLaser.h", "_flair_simulator_2src_2_simu_laser_8h_source.html", null ],
     [ "SimuLaserGL.h", "_simu_laser_g_l_8h_source.html", null ],
     [ "Simulator.h", "_simulator_8h_source.html", null ],
-    [ "SimuUs.h", "_simu_us_8h.html", [
-      [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html", "classflair_1_1sensor_1_1_simu_us" ]
-    ] ],
+    [ "FlairSensorActuator/src/SimuUs.h", "_flair_sensor_actuator_2src_2_simu_us_8h_source.html", null ],
+    [ "FlairSimulator/src/SimuUs.h", "_flair_simulator_2src_2_simu_us_8h_source.html", null ],
     [ "SimuUsGL.h", "_simu_us_g_l_8h.html", [
       [ "SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html", "classflair_1_1sensor_1_1_simu_us_g_l" ]
Index: trunk/doc/Flair/hierarchy.js
===================================================================
--- trunk/doc/Flair/hierarchy.js	(revision 73)
+++ trunk/doc/Flair/hierarchy.js	(revision 74)
@@ -56,4 +56,5 @@
           [ "flair::actuator::XBldc", "classflair_1_1actuator_1_1_x_bldc.html", null ]
         ] ],
+        [ "flair::actuator::SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html", null ],
         [ "flair::filter::Ahrs", "classflair_1_1filter_1_1_ahrs.html", [
           [ "flair::filter::AhrsComplementaryFilter", "classflair_1_1filter_1_1_ahrs_complementary_filter.html", null ],
@@ -104,4 +105,11 @@
         [ "flair::sensor::PressureSensor", "classflair_1_1sensor_1_1_pressure_sensor.html", null ],
         [ "flair::sensor::RadioReceiver", "classflair_1_1sensor_1_1_radio_receiver.html", null ],
+        [ "flair::sensor::SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", null ],
+        [ "flair::sensor::SimuGps", "classflair_1_1sensor_1_1_simu_gps.html", null ],
+        [ "flair::sensor::SimuImu", "classflair_1_1sensor_1_1_simu_imu.html", null ],
+        [ "flair::sensor::SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html", null ],
+        [ "flair::sensor::SimuUs", "classflair_1_1sensor_1_1_simu_us.html", [
+          [ "flair::sensor::SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html", null ]
+        ] ],
         [ "flair::sensor::TargetController", "classflair_1_1sensor_1_1_target_controller.html", [
           [ "flair::sensor::EmulatedController", "classflair_1_1sensor_1_1_emulated_controller.html", null ],
@@ -109,7 +117,5 @@
         ] ],
         [ "flair::sensor::UsRangeFinder", "classflair_1_1sensor_1_1_us_range_finder.html", [
-          [ "flair::sensor::SimuUs", "classflair_1_1sensor_1_1_simu_us.html", [
-            [ "flair::sensor::SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html", null ]
-          ] ],
+          [ "flair::sensor::SimuUs", "classflair_1_1sensor_1_1_simu_us.html", null ],
           [ "flair::sensor::Srf08", "classflair_1_1sensor_1_1_srf08.html", null ]
         ] ],
Index: trunk/doc/Flair/navtreedata.js
===================================================================
--- trunk/doc/Flair/navtreedata.js	(revision 73)
+++ trunk/doc/Flair/navtreedata.js	(revision 74)
@@ -31,11 +31,11 @@
 [
 "_afro_bldc_8h.html",
-"_vector3_d_8h.html",
-"classflair_1_1core_1_1_i2c_port.html",
-"classflair_1_1core_1_1_udt_socket.html#a6333548317e626b0abc0fd26973518eb",
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a94f61b22433b9ad621d22a9f12517a26",
-"classflair_1_1meta_1_1_uav.html#a594e44502d58c8886d006dce444304c8",
-"classflair_1_1sensor_1_1_nmea_gps.html#ad25ede505f9bed9afaf06fa39d9871f9",
-"classflair_1_1simulator_1_1_simulator.html#a2c12879c6cefa5f465d3d5b0b150d777"
+"_vector2_d_8h_source.html",
+"classflair_1_1core_1_1_gps_data_1_1_type.html#a5bffd34158385ec39aa6ef8e04533017",
+"classflair_1_1core_1_1_udp_socket.html#ae15d1490b1c2b3657e1428ceb4bcee02",
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2",
+"classflair_1_1meta_1_1_simu_x8.html#aefa595f2c5961b80179cf1c890ac3cd9",
+"classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95",
+"classflair_1_1simulator_1_1_model.html#aad3ab59134a6725fbf2af1e85fb08e39"
 ];
 
Index: trunk/doc/Flair/navtreeindex0.js
===================================================================
--- trunk/doc/Flair/navtreeindex0.js	(revision 73)
+++ trunk/doc/Flair/navtreeindex0.js	(revision 74)
@@ -54,4 +54,16 @@
 "_find_argument_8h_source.html":[2,0,31],
 "_fixed_camera_8h_source.html":[2,0,32],
+"_flair_sensor_actuator_2src_2_simu_bldc_8h_source.html":[2,0,92],
+"_flair_sensor_actuator_2src_2_simu_camera_8h_source.html":[2,0,94],
+"_flair_sensor_actuator_2src_2_simu_gps_8h_source.html":[2,0,97],
+"_flair_sensor_actuator_2src_2_simu_imu_8h_source.html":[2,0,99],
+"_flair_sensor_actuator_2src_2_simu_laser_8h_source.html":[2,0,101],
+"_flair_sensor_actuator_2src_2_simu_us_8h_source.html":[2,0,105],
+"_flair_simulator_2src_2_simu_bldc_8h_source.html":[2,0,93],
+"_flair_simulator_2src_2_simu_camera_8h_source.html":[2,0,95],
+"_flair_simulator_2src_2_simu_gps_8h_source.html":[2,0,98],
+"_flair_simulator_2src_2_simu_imu_8h_source.html":[2,0,100],
+"_flair_simulator_2src_2_simu_laser_8h_source.html":[2,0,102],
+"_flair_simulator_2src_2_simu_us_8h_source.html":[2,0,106],
 "_framework_manager_8h.html":[2,0,33],
 "_framework_manager_8h.html#a4783118d327bc3461f35818366dbd458":[2,0,33,2],
@@ -179,75 +191,63 @@
 "_simu_ahrs_8h.html":[2,0,91],
 "_simu_ahrs_8h_source.html":[2,0,91],
-"_simu_bldc_8h.html":[2,0,92],
-"_simu_bldc_8h_source.html":[2,0,92],
-"_simu_camera_8h.html":[2,0,93],
-"_simu_camera_8h_source.html":[2,0,93],
-"_simu_camera_g_l_8h.html":[2,0,94],
-"_simu_camera_g_l_8h.html#a120fb070bddb21f0bd899f50252c4cb5":[2,0,94,1],
-"_simu_camera_g_l_8h_source.html":[2,0,94],
-"_simu_gps_8h.html":[2,0,95],
-"_simu_gps_8h_source.html":[2,0,95],
-"_simu_imu_8h.html":[2,0,96],
-"_simu_imu_8h_source.html":[2,0,96],
-"_simu_laser_8h_source.html":[2,0,97],
-"_simu_laser_g_l_8h_source.html":[2,0,98],
-"_simu_us_8h.html":[2,0,100],
-"_simu_us_8h_source.html":[2,0,100],
-"_simu_us_g_l_8h.html":[2,0,101],
-"_simu_us_g_l_8h_source.html":[2,0,101],
-"_simu_x4_8h.html":[2,0,102],
-"_simu_x4_8h_source.html":[2,0,102],
-"_simu_x8_8h.html":[2,0,103],
-"_simu_x8_8h_source.html":[2,0,103],
-"_simulator_8h_source.html":[2,0,99],
-"_spin_box_8h.html":[2,0,104],
-"_spin_box_8h_source.html":[2,0,104],
-"_srf08_8h.html":[2,0,105],
-"_srf08_8h_source.html":[2,0,105],
-"_tab_8h.html":[2,0,106],
-"_tab_8h_source.html":[2,0,106],
-"_tab_widget_8h.html":[2,0,107],
-"_tab_widget_8h_source.html":[2,0,107],
-"_target_controller_8h_source.html":[2,0,108],
-"_target_eth_controller_8h_source.html":[2,0,109],
-"_tcp_socket_8h.html":[2,0,110],
-"_tcp_socket_8h_source.html":[2,0,110],
-"_text_edit_8h.html":[2,0,111],
-"_text_edit_8h_source.html":[2,0,111],
-"_thread_8h.html":[2,0,112],
-"_thread_8h_source.html":[2,0,112],
-"_trajectory_generator1_d_8h.html":[2,0,113],
-"_trajectory_generator1_d_8h_source.html":[2,0,113],
-"_trajectory_generator2_d_circle_8h.html":[2,0,114],
-"_trajectory_generator2_d_circle_8h_source.html":[2,0,114],
-"_uav_8h.html":[2,0,115],
-"_uav_8h.html#a25c35970b8786dd95240a48119065b69":[2,0,115,1],
-"_uav_8h_source.html":[2,0,115],
-"_uav_factory_8h_source.html":[2,0,116],
-"_uav_multiplex_8h.html":[2,0,117],
-"_uav_multiplex_8h_source.html":[2,0,117],
-"_uav_state_machine_8h_source.html":[2,0,118],
-"_udp_socket_8h_source.html":[2,0,119],
-"_udt_socket_8h.html":[2,0,120],
-"_udt_socket_8h.html#a1271a7ac7e1dd35a9765f73aba412eb8":[2,0,120,1],
-"_udt_socket_8h_source.html":[2,0,120],
-"_unix___i2c_port_8h.html":[2,0,121],
-"_unix___i2c_port_8h_source.html":[2,0,121],
-"_unix___serial_port_8h.html":[2,0,122],
-"_unix___serial_port_8h_source.html":[2,0,122],
-"_us_range_finder_8h.html":[2,0,123],
-"_us_range_finder_8h_source.html":[2,0,123],
-"_us_sensor_plot_8h.html":[2,0,124],
-"_us_sensor_plot_8h_source.html":[2,0,124],
-"_v4_l_camera_8h.html":[2,0,125],
-"_v4_l_camera_8h_source.html":[2,0,125],
-"_vector2_d_8h.html":[2,0,126],
-"_vector2_d_8h.html#a002f684b4b4b844feaed934297b651a2":[2,0,126,7],
-"_vector2_d_8h.html#a4f6b5216e29c497351829aae1cd86ca4":[2,0,126,6],
-"_vector2_d_8h.html#a762372bce051dd5543ec9f596e3f863c":[2,0,126,2],
-"_vector2_d_8h.html#abc8f6e4575318eceb0d34dd38d6cb783":[2,0,126,1],
-"_vector2_d_8h.html#ac3c3c0fe665086b60dac657b8ee40911":[2,0,126,4],
-"_vector2_d_8h.html#ae0485a88dc635bfdea7b0282ac0369c4":[2,0,126,3],
-"_vector2_d_8h.html#afed3cf9fa6c2e0afb37994f55222d019":[2,0,126,5],
-"_vector2_d_8h_source.html":[2,0,126]
+"_simu_camera_g_l_8h.html":[2,0,96],
+"_simu_camera_g_l_8h.html#a120fb070bddb21f0bd899f50252c4cb5":[2,0,96,1],
+"_simu_camera_g_l_8h_source.html":[2,0,96],
+"_simu_laser_g_l_8h_source.html":[2,0,103],
+"_simu_us_g_l_8h.html":[2,0,107],
+"_simu_us_g_l_8h_source.html":[2,0,107],
+"_simu_x4_8h.html":[2,0,108],
+"_simu_x4_8h_source.html":[2,0,108],
+"_simu_x8_8h.html":[2,0,109],
+"_simu_x8_8h_source.html":[2,0,109],
+"_simulator_8h_source.html":[2,0,104],
+"_spin_box_8h.html":[2,0,110],
+"_spin_box_8h_source.html":[2,0,110],
+"_srf08_8h.html":[2,0,111],
+"_srf08_8h_source.html":[2,0,111],
+"_tab_8h.html":[2,0,112],
+"_tab_8h_source.html":[2,0,112],
+"_tab_widget_8h.html":[2,0,113],
+"_tab_widget_8h_source.html":[2,0,113],
+"_target_controller_8h_source.html":[2,0,114],
+"_target_eth_controller_8h_source.html":[2,0,115],
+"_tcp_socket_8h.html":[2,0,116],
+"_tcp_socket_8h_source.html":[2,0,116],
+"_text_edit_8h.html":[2,0,117],
+"_text_edit_8h_source.html":[2,0,117],
+"_thread_8h.html":[2,0,118],
+"_thread_8h_source.html":[2,0,118],
+"_trajectory_generator1_d_8h.html":[2,0,119],
+"_trajectory_generator1_d_8h_source.html":[2,0,119],
+"_trajectory_generator2_d_circle_8h.html":[2,0,120],
+"_trajectory_generator2_d_circle_8h_source.html":[2,0,120],
+"_uav_8h.html":[2,0,121],
+"_uav_8h.html#a25c35970b8786dd95240a48119065b69":[2,0,121,1],
+"_uav_8h_source.html":[2,0,121],
+"_uav_factory_8h_source.html":[2,0,122],
+"_uav_multiplex_8h.html":[2,0,123],
+"_uav_multiplex_8h_source.html":[2,0,123],
+"_uav_state_machine_8h_source.html":[2,0,124],
+"_udp_socket_8h_source.html":[2,0,125],
+"_udt_socket_8h.html":[2,0,126],
+"_udt_socket_8h.html#a1271a7ac7e1dd35a9765f73aba412eb8":[2,0,126,1],
+"_udt_socket_8h_source.html":[2,0,126],
+"_unix___i2c_port_8h.html":[2,0,127],
+"_unix___i2c_port_8h_source.html":[2,0,127],
+"_unix___serial_port_8h.html":[2,0,128],
+"_unix___serial_port_8h_source.html":[2,0,128],
+"_us_range_finder_8h.html":[2,0,129],
+"_us_range_finder_8h_source.html":[2,0,129],
+"_us_sensor_plot_8h.html":[2,0,130],
+"_us_sensor_plot_8h_source.html":[2,0,130],
+"_v4_l_camera_8h.html":[2,0,131],
+"_v4_l_camera_8h_source.html":[2,0,131],
+"_vector2_d_8h.html":[2,0,132],
+"_vector2_d_8h.html#a002f684b4b4b844feaed934297b651a2":[2,0,132,7],
+"_vector2_d_8h.html#a4f6b5216e29c497351829aae1cd86ca4":[2,0,132,6],
+"_vector2_d_8h.html#a762372bce051dd5543ec9f596e3f863c":[2,0,132,2],
+"_vector2_d_8h.html#abc8f6e4575318eceb0d34dd38d6cb783":[2,0,132,1],
+"_vector2_d_8h.html#ac3c3c0fe665086b60dac657b8ee40911":[2,0,132,4],
+"_vector2_d_8h.html#ae0485a88dc635bfdea7b0282ac0369c4":[2,0,132,3],
+"_vector2_d_8h.html#afed3cf9fa6c2e0afb37994f55222d019":[2,0,132,5]
 };
Index: trunk/doc/Flair/navtreeindex1.js
===================================================================
--- trunk/doc/Flair/navtreeindex1.js	(revision 73)
+++ trunk/doc/Flair/navtreeindex1.js	(revision 74)
@@ -1,38 +1,39 @@
 var NAVTREEINDEX1 =
 {
-"_vector3_d_8h.html":[2,0,127],
-"_vector3_d_8h.html#a131335b8d92a76f6d3a40d9762ad0bdb":[2,0,127,2],
-"_vector3_d_8h.html#a2604f9cc047961b44a0db4aa0434b36e":[2,0,127,7],
-"_vector3_d_8h.html#a2b78f60f37e4ba6d62db603ca6631e95":[2,0,127,6],
-"_vector3_d_8h.html#a619733e606845eb59f7e779f2f119019":[2,0,127,9],
-"_vector3_d_8h.html#a65433796fbd8ccc2e1bb797be204b249":[2,0,127,5],
-"_vector3_d_8h.html#a661465072c8d4b3592abde48c068d73a":[2,0,127,8],
-"_vector3_d_8h.html#a792d54dcdbd816e6c7bc5ac04b5d9b22":[2,0,127,10],
-"_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9":[2,0,127,3],
-"_vector3_d_8h.html#a8b0038ee673b89322347a81adef054f0":[2,0,127,1],
-"_vector3_d_8h.html#af0db4963be6fc919dd900fd01d9a61f0":[2,0,127,4],
-"_vector3_d_8h_source.html":[2,0,127],
-"_vector3_d_spin_box_8h.html":[2,0,129],
-"_vector3_d_spin_box_8h_source.html":[2,0,129],
-"_vector3_ddata_8h.html":[2,0,128],
-"_vector3_ddata_8h_source.html":[2,0,128],
-"_visualization_camera_8h_source.html":[2,0,130],
-"_vrpn_client_8h.html":[2,0,131],
-"_vrpn_client_8h.html#a96c531aa24e6dd95ac9dc400d8e52b2c":[2,0,131,1],
-"_vrpn_client_8h_source.html":[2,0,131],
-"_vrpn_object_8h.html":[2,0,132],
-"_vrpn_object_8h_source.html":[2,0,132],
-"_watchdog_8h.html":[2,0,133],
-"_watchdog_8h_source.html":[2,0,133],
-"_widget_8h.html":[2,0,134],
-"_widget_8h_source.html":[2,0,134],
-"_x4_8h_source.html":[2,0,135],
-"_x4_x8_multiplex_8h.html":[2,0,136],
-"_x4_x8_multiplex_8h_source.html":[2,0,136],
-"_x8_8h_source.html":[2,0,137],
-"_x_air_8h.html":[2,0,138],
-"_x_air_8h_source.html":[2,0,138],
-"_x_bldc_8h.html":[2,0,139],
-"_x_bldc_8h_source.html":[2,0,139],
+"_vector2_d_8h_source.html":[2,0,132],
+"_vector3_d_8h.html":[2,0,133],
+"_vector3_d_8h.html#a131335b8d92a76f6d3a40d9762ad0bdb":[2,0,133,2],
+"_vector3_d_8h.html#a2604f9cc047961b44a0db4aa0434b36e":[2,0,133,7],
+"_vector3_d_8h.html#a2b78f60f37e4ba6d62db603ca6631e95":[2,0,133,6],
+"_vector3_d_8h.html#a619733e606845eb59f7e779f2f119019":[2,0,133,9],
+"_vector3_d_8h.html#a65433796fbd8ccc2e1bb797be204b249":[2,0,133,5],
+"_vector3_d_8h.html#a661465072c8d4b3592abde48c068d73a":[2,0,133,8],
+"_vector3_d_8h.html#a792d54dcdbd816e6c7bc5ac04b5d9b22":[2,0,133,10],
+"_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9":[2,0,133,3],
+"_vector3_d_8h.html#a8b0038ee673b89322347a81adef054f0":[2,0,133,1],
+"_vector3_d_8h.html#af0db4963be6fc919dd900fd01d9a61f0":[2,0,133,4],
+"_vector3_d_8h_source.html":[2,0,133],
+"_vector3_d_spin_box_8h.html":[2,0,135],
+"_vector3_d_spin_box_8h_source.html":[2,0,135],
+"_vector3_ddata_8h.html":[2,0,134],
+"_vector3_ddata_8h_source.html":[2,0,134],
+"_visualization_camera_8h_source.html":[2,0,136],
+"_vrpn_client_8h.html":[2,0,137],
+"_vrpn_client_8h.html#a96c531aa24e6dd95ac9dc400d8e52b2c":[2,0,137,1],
+"_vrpn_client_8h_source.html":[2,0,137],
+"_vrpn_object_8h.html":[2,0,138],
+"_vrpn_object_8h_source.html":[2,0,138],
+"_watchdog_8h.html":[2,0,139],
+"_watchdog_8h_source.html":[2,0,139],
+"_widget_8h.html":[2,0,140],
+"_widget_8h_source.html":[2,0,140],
+"_x4_8h_source.html":[2,0,141],
+"_x4_x8_multiplex_8h.html":[2,0,142],
+"_x4_x8_multiplex_8h_source.html":[2,0,142],
+"_x8_8h_source.html":[2,0,143],
+"_x_air_8h.html":[2,0,144],
+"_x_air_8h_source.html":[2,0,144],
+"_x_bldc_8h.html":[2,0,145],
+"_x_bldc_8h_source.html":[2,0,145],
 "annotated.html":[1,0],
 "classes.html":[1,1],
@@ -85,9 +86,10 @@
 "classflair_1_1actuator_1_1_bldc.html#af1e5523e2dc2d99f8722365ff4f77f44":[1,0,0,0,3,15],
 "classflair_1_1actuator_1_1_simu_bldc.html":[1,0,0,0,4],
-"classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8":[1,0,0,0,4,2],
+"classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8":[1,0,0,0,4,1],
+"classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8":[1,0,0,0,4,3],
 "classflair_1_1actuator_1_1_simu_bldc.html#a3a97075384649f5a11fd70bf7749fbe1":[1,0,0,0,4,5],
 "classflair_1_1actuator_1_1_simu_bldc.html#a6d604089c8494c27f8382359327e7fb6":[1,0,0,0,4,4],
-"classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b":[1,0,0,0,4,1],
-"classflair_1_1actuator_1_1_simu_bldc.html#ab8700a00398f461726a46c75739f809c":[1,0,0,0,4,3],
+"classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b":[1,0,0,0,4,2],
+"classflair_1_1actuator_1_1_simu_bldc.html#ab8700a00398f461726a46c75739f809c":[1,0,0,0,4,6],
 "classflair_1_1actuator_1_1_simu_bldc.html#ad960e5a34f19d664b1b576eea826997f":[1,0,0,0,4,0],
 "classflair_1_1actuator_1_1_x_bldc.html":[1,0,0,0,5],
@@ -248,6 +250,4 @@
 "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51":[1,0,0,1,13,2,2],
 "classflair_1_1core_1_1_gps_data_1_1_type.html":[1,0,0,1,13,0],
-"classflair_1_1core_1_1_gps_data_1_1_type.html#a3808fb21ce8529265cef76f60a9466c1":[1,0,0,1,13,0,1],
-"classflair_1_1core_1_1_gps_data_1_1_type.html#a5bffd34158385ec39aa6ef8e04533017":[1,0,0,1,13,0,2],
-"classflair_1_1core_1_1_gps_data_1_1_type.html#ad0cb7de7f828500e4f5c3a113b583ef1":[1,0,0,1,13,0,0]
+"classflair_1_1core_1_1_gps_data_1_1_type.html#a3808fb21ce8529265cef76f60a9466c1":[1,0,0,1,13,0,1]
 };
